USE DemoProgramming
GO

--Note: Use Shift+Ctrl+M to update template.

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'dbo.IX_TestData_SomeDate') AND name = N'IX_TestData_SomeDate')
DROP INDEX IX_TestData_SomeDate ON [dbo].[TestData] WITH ( ONLINE = OFF )
GO

CREATE NONCLUSTERED INDEX IX_TestData_SomeDate ON dbo.TestData
(
	 SomeDate ASC
)

INCLUDE 
(
	SomeDateText
)

GO

USE DemoProgramming
GO

--Note: Use Shift+Ctrl+M to update template.

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'dbo.IX_TestData_SomeDateText') AND name = N'IX_TestData_SomeDateText')
DROP INDEX IX_TestData_SomeDateText ON [dbo].[TestData] WITH ( ONLINE = OFF )
GO

CREATE NONCLUSTERED INDEX IX_TestData_SomeDateText ON dbo.TestData
(
	 SomeDateText ASC
)

INCLUDE 
(
	SomeDate
)

GO


USE DemoProgramming
GO

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'dbo.IX_TestData_SomeText') AND name = N'IX_TestData_SomeText')
DROP INDEX IX_TestData_SomeText ON [dbo].[TestData] WITH ( ONLINE = OFF )
GO

CREATE NONCLUSTERED INDEX IX_TestData_SomeText ON dbo.TestData
(
	SomeText ASC
)
INCLUDE 
(
	SomeTextNumber 
)
GO


IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'dbo.IX_TestData_SomeTextNumber') AND name = N'IX_TestData_SomeTextNumber')
DROP INDEX IX_TestData_SomeTextNumber ON [dbo].[TestData] WITH ( ONLINE = OFF )
GO

CREATE NONCLUSTERED INDEX IX_TestData_SomeTextNumber ON dbo.TestData
(
	SomeTextNumber ASC
)
INCLUDE 
(
	SomeText 
)
GO


DROP INDEX [IX_DimDateDateYear] ON [dbo].[DimDate]
GO

CREATE NONCLUSTERED INDEX [IX_DimDateDateYear] ON [dbo].[DimDate]
(
	[DateYear] ASC
)
GO